Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util
Class Round

    java.lang.Object
      mro.util.Round

    public class Round

extends java.lang.Object

Round is a class for rounding doubles of to significant figures. The method round(double, long) takes a double to round and a long specifying how many significan figures one wants and returns the figure rounded that way.

Constructor Summary
`Round()`

Method Summary
`static double` | `round(double d, long numOfFigures)` The method round(double, long) takes a double to round and a long specifying how many significan figures one wants and returns the figure rounded that way.
`static double` | `round(double d, java.lang.String s)` Not very good.
`static double` | `roundDecimals(double d, long numOfDecimals)` roundDecimals rounds the double to a number of decimals
`static java.lang.String` | `roundDecimalsToTrimmedString(double d, long numOfDecimals)`
`private static double` | `roundSmall(double d, long numOfFigures)`
`static java.lang.String` | `roundToTrimmedString(double d, java.lang.String s)` Not very good.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Round

    public Round()

Method Detail

### round

    public static double round(double d,
                               java.lang.String s)

  Not very good.

### roundToTrimmedString

    public static java.lang.String roundToTrimmedString(double d,
                                                        java.lang.String s)

  Not very good.

### roundDecimals

    public static double roundDecimals(double d,
                                       long numOfDecimals)

  roundDecimals rounds the double to a number of decimals

### roundDecimalsToTrimmedString

    public static java.lang.String roundDecimalsToTrimmedString(double d,
                                                                long numOfDecimals)

### roundSmall

    private static double roundSmall(double d,
                                     long numOfFigures)

### round

    public static double round(double d,
                               long numOfFigures)

  The method round(double, long) takes a double to round and a long specifying how many significan figures one wants and returns the figure rounded that way.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD